Groovy 1.7.0

## org.codehaus.groovy.tools.shell.util
Class ANSI.RenderWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.codehaus.groovy.tools.shell.util.ANSI.RenderWriter

    class ANSI.RenderWriter
    extends PrintWriter

Constructor Summary
`ANSI.RenderWriter(OutputStream out)`
`ANSI.RenderWriter(OutputStream out, boolean autoFlush)`
`ANSI.RenderWriter(Writer out)`
`ANSI.RenderWriter(Writer out, boolean autoFlush)`

Method Summary
`void` | `write(String s)`

Methods inherited from class PrintWriter
println, println, println, println, println, println, println, println, println, println, append, append, append, append, append, append, append, append, append, format, format, write, write, write, write, write, print, print, print, print, print, print, print, print, print, close, flush, checkError, printf, printf, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Writer
append, append, append, append, append, append, write, write, write, write, write, close, flush, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ANSI.RenderWriter

    public ANSI.RenderWriter(OutputStream out)

### ANSI.RenderWriter

    public ANSI.RenderWriter(OutputStream out, boolean autoFlush)

### ANSI.RenderWriter

    public ANSI.RenderWriter(Writer out)

### ANSI.RenderWriter

    public ANSI.RenderWriter(Writer out, boolean autoFlush)

Method Detail

### write

    public void write(String s)

Copyright © 2003-2009 The Codehaus. All rights reserved.